Subject: [alpine-aports] [PATCH] testing/stardict: new aport

From: Taner Tas <[email-masked]>
Date: Thu, 6 Apr 2017 21:03:55 +0000

http://stardict-4.sourceforge.net/
Cross-Platform and international dictionary Software
---
 testing/stardict/APKBUILD    | 67 ++++++++++++++++++++++++++++++++++++++++++++
 testing/stardict/gcc46.patch | 11 ++++++++
 testing/stardict/glib2.patch | 36 ++++++++++++++++++++++++
 3 files changed, 114 insertions(+)
 create mode 100644 testing/stardict/APKBUILD
 create mode 100644 testing/stardict/gcc46.patch
 create mode 100644 testing/stardict/glib2.patch

diff --git a/testing/stardict/APKBUILD b/testing/stardict/APKBUILD
new file mode 100644
index 00000000..c8ce104a
--- /dev/null
+++ b/testing/stardict/APKBUILD
@@ -0,0 +1,67 @@
+# Contributor: Taner Tas <[email-masked]>
+# Maintainer: Taner Tas <[email-masked]>
+pkgname=stardict
+pkgver=3.0.6
+pkgrel=0
+pkgdesc="Cross-Platform and international dictionary Software"
+url="http://stardict-4.sourceforge.net/"
+arch="all"
+license="GPL"
+depends="gtk+2.0 libsigc++ zlib"
+makedepends="gtk+2.0-dev libsigc++-dev libxml2-dev gnome-doc-utils
+	gnome-common enchant-dev espeak-dev zlib-dev mariadb-dev gconf-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang $pkgname-help::noarch"
+source="http://downloads.sourceforge.net/project/stardict-4/${pkgver}/${pkgname}-${pkgver}.tar.bz2
+	gcc46.patch
+	glib2.patch"
+
+prepare() {
+	cd "$builddir"
+        local i
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+	find dict/src/sigc++* -name \*.h -or -name \*.cc | xargs rm -f || return 1
+}
+
+build() {
+	cd "$builddir"
+	export CXXFLAGS="$CXXLAGS -std=gnu++11"
+	./autogen.sh
+	./configure \
+	--build=$CBUILD \
+	--host=$CHOST \
+	--prefix=/usr \
+	--sysconfdir=/etc \
+	--mandir=/usr/share/man \
+	--localstatedir=/var \
+	--disable-gnome-support \
+	--disable-dictdotcn \
+	--disable-gucharmap \
+	--disable-scrollkeeper \
+	--disable-festival \
+	--disable-updateinfo \
+	--disable-gpe-support \
+	--disable-schemas-install || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+help() {
+	pkgdesc="Stardict help files."
+	mkdir -p ${subpkgdir}/usr/share/stardict
+	mv ${pkgdir}/usr/share/gnome ${subpkgdir}/usr/share/
+	mv ${pkgdir}/usr/share/omf ${subpkgdir}/usr/share/
+	mv ${pkgdir}/usr/share/stardict/help ${subpkgdir}/usr/share/stardict/
+}
+
+sha512sums="81d93324b6e8954af7c20ea6d2a3054bb564d786a21b1cb541c728da7a18a6e7ddb23e595055ccc77e6866bbb8c89fb4f17023e33664761dbe1ee8cd55768658  stardict-3.0.6.tar.bz2
+cc43b57cdf2e7fbd3e9c86acb4c8f9fef367d68f6f027e75774eec9cdf66b3fdd3b0bc58d373d076cb38671e09012ab69b8b7e81638a5be888af56372e65a838  gcc46.patch
+4132eee58ab5dfb30105fd2c1a113d143528f7e904ededbb8de203bbb244377aed2c152aae7f383936e74005c2f4afa6128674a245d2a8083b2757b1ca90dd24  glib2.patch"
diff --git a/testing/stardict/gcc46.patch b/testing/stardict/gcc46.patch
new file mode 100644
index 00000000..944b9635
--- /dev/null
+++ b/testing/stardict/gcc46.patch
@@ -0,0 +1,11 @@
+diff -aur old/dict/stardict-plugins/stardict-wordnet-plugin/utils.h new/dict/stardict-plugins/stardict-wordnet-plugin/utils.h
+--- old/dict/stardict-plugins/stardict-wordnet-plugin/utils.h	2011-07-18 06:58:58.519404744 -0700
++++ new/dict/stardict-plugins/stardict-wordnet-plugin/utils.h	2011-07-18 07:01:10.739734313 -0700
+@@ -26,6 +26,7 @@
+ #ifndef __TYPES_H__
+ #define __TYPES_H__
+ 
++#include <cstddef>
+ #include <math.h>
+ 
+ typedef float single;
diff --git a/testing/stardict/glib2.patch b/testing/stardict/glib2.patch
new file mode 100644
index 00000000..bd0f6bac
--- /dev/null
+++ b/testing/stardict/glib2.patch
@@ -0,0 +1,36 @@
+diff -Naur old/dict/configure.ac new/dict/configure.ac
+--- old/dict/configure.ac	2011-07-03 16:58:40.000000000 +1000
++++ new/dict/configure.ac	2012-07-12 22:31:52.875176842 +1000
+@@ -266,6 +266,9 @@
+ fi
+ AC_SUBST(WIKI_PARSEDATA_PLUGIN_DIR)
+ 
++GMODULE2_LIBS=`pkg-config --libs gmodule-2.0`
++AC_SUBST([GMODULE2_LIBS])
++
+ dnl ================================================================
+ dnl main program checks.
+ dnl ================================================================
+diff -Naur old/dict/src/Makefile.am new/dict/src/Makefile.am
+--- old/dict/src/Makefile.am	2011-07-03 16:58:40.000000000 +1000
++++ new/dict/src/Makefile.am	2012-07-12 22:29:53.714870692 +1000
+@@ -33,7 +33,7 @@
+ stardict_DEPENDENCIES = lib/libstardict.la $(LOCAL_SIGCPP_LIBFILE)
+ stardict_LDFLAGS = 
+ ## place libstardict.la before any system library, otherwise build with --as-needed linker option may fail
+-stardict_LDADD = lib/libstardict.la $(STARDICT_LIBS) $(LOCAL_SIGCPP_LIBFILE)
++stardict_LDADD = lib/libstardict.la $(STARDICT_LIBS) $(LOCAL_SIGCPP_LIBFILE) $(GMODULE2_LIBS)
+ 
+ if !GNOME_SUPPORT
+ if MAEMO_SUPPORT
+diff -Naur old/dict/src/tomboykeybinder.h new/dict/src/tomboykeybinder.h
+--- old/dict/src/tomboykeybinder.h	2011-07-03 16:58:40.000000000 +1000
++++ new/dict/src/tomboykeybinder.h	2012-07-12 22:28:04.337920391 +1000
+@@ -21,7 +21,6 @@
+ #ifndef __TOMBOY_KEY_BINDER_H__
+ #define __TOMBOY_KEY_BINDER_H__
+ 
+-#include <glib.h>
+ 
+ G_BEGIN_DECLS
+ 
-- 
2.12.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Taner Tas <[email-masked]>
Date: Tue, 11 Apr 2017 06:37:30 +0000

http://stardict-4.sourceforge.net/
Cross-platform and international dictionary software
---
 testing/stardict/APKBUILD    | 66 ++++++++++++++++++++++++++++++++++++++++++++
 testing/stardict/gcc46.patch | 11 ++++++++
 testing/stardict/glib2.patch | 36 ++++++++++++++++++++++++
 3 files changed, 113 insertions(+)
 create mode 100644 testing/stardict/APKBUILD
 create mode 100644 testing/stardict/gcc46.patch
 create mode 100644 testing/stardict/glib2.patch

index 00000000..1b133b82
@@ -0,0 +1,66 @@
+pkgdesc="Cross-platform and international dictionary software"
+options="!check"
+	default_prepare
+	find dict/src/sigc++* -name \*.h -or -name \*.cc | xargs rm -f
+	--disable-schemas-install
+	make
+check(){
+	make check
+	make DESTDIR="$pkgdir" install
+	pkgdesc="Stardict help files"

---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 10 Apr 2017 14:25:59 +0200

Hi,

> +++ b/testing/stardict/APKBUILD

Please use "default_prepare" instead of the "for" loop.

> +	export CXXFLAGS="$CXXLAGS -std=gnu++11"

Autogen should be moved into prepare().

> +	make DESTDIR="$pkgdir" install || return 1

All "|| return 1" are no longer necessary since we use "set -e" in abuild.

Thanks!

|_eo

---

From: Leonardo Arena <[email-masked]>
Date: Thu, 13 Apr 2017 10:23:01 +0200

Hi,

>> +++ b/testing/stardict/APKBUILD

it's missing "autoconf" and "automake".

Even though I added them, it still fails. It seems that's expecting to
find a specific automake version (v1.14). Edge uses v1.15:

Making all in dict
make[1]: Entering directory
'/home/larena/aports/testing/stardict/src/stardict-3.0.6/dict'
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/bash
/home/larena/aports/testing/stardict/src/stardict-3.0.6/dict/missing
autoconf
 cd . && /bin/bash
/home/larena/aports/testing/stardict/src/stardict-3.0.6/dict/missing
automake-1.14 --gnu
/home/larena/aports/testing/stardict/src/stardict-3.0.6/dict/missing:
line 81: automake-1.14: command not found
WARNING: 'automake-1.14' is missing on your system.
         You should only need it if you modified 'Makefile.am' or
         'configure.ac' or m4 files included by 'configure.ac'.
         The 'automake' program is part of the GNU Automake package:
         <http://www.gnu.org/software/automake>
         It also requires GNU Autoconf, GNU m4 and Perl in order to run:
         <http://www.gnu.org/software/autoconf>
         <http://www.gnu.org/software/m4/>
         <http://www.perl.org/>
make[1]: *** [Makefile:423: Makefile.in] Error 1

Thanks!

|_eo

---

From: Taner Tas <[email-masked]>
Date: Thu, 13 Apr 2017 15:21:05 +0000 (UTC)

Hi,
I'm on edge too. But, I just realized that I have installed autoconf, automake and libtool manually (world) during tests. So, adding these packages (automake autoconf libtool) as "makedepends" will solve the problem. Proposed complete v3 patch is in the attachment btw.
Regards.Taner 

    On Thursday, April 13, 2017 11:23 AM, Leonardo Arena <[email-masked]> wrote:

 Hi,

Making all in dict

Thanks!

|_eo

index 00000000..b2708f4b
+makedepends="automake autoconf libtool gtk+2.0-dev libsigc++-dev libxml2-dev gnome-doc-utils